Java 开发人员手册

# 1. 基础练习
#### 1.1 Java 

 类别 | - | - | - 
--- | --- | --- | --- 
JavaSE | [Java 基础操练](https://github.com/RunAtWorld/JavaPrinciple) | -
Spring | [Spring Demo](https://github.com/RunAtWorld/spring01-demo) | 
MyBatis| [Spring MyBatis Demo](https://github.com/RunAtWorld/springboot04-mybatis-demo) | [Spring MyBatisPlus Demo](https://github.com/RunAtWorld/springboot05-MybatisPlus-Demo) | [文档资料](https://down.51cto.com/data/2081927) / [视频教程](http://edu.51cto.com/course/course_id-1354.html)


#### 1.2 GO
 类别 | - 
--- | --- 
GO | [GoLang入门](https://github.com/RunAtWorld/golang_faq) |

#### 1.3 Python

#### 1.4 算法
 类别 | - 
--- | --- 
算法 | [各种语言的各种算法](https://github.com/TheAlgorithms) |

#### 1.5 数据库
 类别 | - 
--- | --- 
mysql | [Mysql](./dev/mysql/)

# 2. Dev/Ops
### 2.1 命令与应用

OS | - | -
--- | --- | --- 
Linux | [Linux 命令与应用](https://github.com/hbulpf/LinuxFun) | [Linux服务器运维脚本](https://github.com/hbulpf/ServerOps)
Windows | [Windows 常用命令](./windows/windows_cmd.md)

### 2.2 开发相关

+ 版本控制&团队协作
	- [svn 常用指令](./svn_cmd.md)
	- [git 常用指令](./gitcmd.md)  /  [git 官方中文教程](https://git-scm.com/book/zh/v2) 
	
+ [开发技术与框架](dev/)
	- [Java 开发](./dev/java/)
		+ [maven 命令](./dev/java/maven/mavencmd.md) / [maven仓库配置](./dev/java/maven/maven_setting.xml)
		+ 日志: [logback](./dev/java/logback/logback.md)

+ 开发人员工具

用途 | - | - | -
 --- | --- | --- | ---
接口设计 |  [swagger](./tools/swagger/README.md)
开发工具 | [IdeaJ](devtools/Idea.md)
版本控制 | [Git](gitcmd.md) | [SVN](svn_cmd.md)	
文档写作 | [Markdown](tools/markdown/markdown.md) | [GitBook](tools/gitbook/gitbook.md) | [绘图工具](tools/painting/painting.md)
  
### 2.3 效率提升利器
类别 | - | - | -
 --- | --- | --- | ---
工具类 | [最常用**开发工具**](https://tool.lu/) | [前端开发网站导航](https://nav.web-hub.cn/) | [MiKuTools](https://tool.imiku.me/) | [atoolbox](http://www.atoolbox.net/) | [toolnb](https://www.toolnb.com/)
教程类 | [菜鸟教程](https://www.runoob.com/)
其他 | [在线制作Logo](https://logoly.pro)

### 2.4 面试相关
1. [`sre/ops` 技术面试](./interview/sre.md)
2. [hr面试](./interview/hr.md)

# 3. 云计算
1. Docker与Kubernetes
	+ 入门与应用
		- [Docker 实验室](https://github.com/RunAtWorld/dockerlab)
		- [K8S 入门](https://github.com/RunAtWorld/k8spath)
		
	+ 项目
		- [基于容器的弹性大数据平台](https://github.com/hbulpf/HSDocker)

1. 云存储
	+ [Ceph 运行维护手册/集群自动化脚本](https://github.com/RunAtWorld/ceph_manual)

# 4. 大数据
## 4.1 Hadoop生态
1. Hadoop
1. Hive
1. Pig
1. HBase
1. Spark

## 4.2 Hadoop相关部署工具
1. [hdp](https://hortonworks.com/downloads/#data-platform)
1. [cdh](https://www.cloudera.com/products/open-source/apache-hadoop/key-cdh-components.html)
1. [ambari](https://ambari.apache.org/)

# 5. 机器学习
1. [机器学习仓库](./ml/README.md)

# 6. 其他
## 6.1. 常用软件资源

资源名 | 资源链接
------------ | -------------
网易开源镜像站 | http://mirrors.163.com
清华大学开源软件镜像站 | https://mirrors.tuna.tsinghua.edu.cn
中科大开源软件镜像站 | http://mirrors.ustc.edu.cn/
阿里巴巴开源软件镜像站 | http://mirrors.aliyun.com/

 [更多开源镜像资源...](./mirrors.md)


## 6.2 其他内容
1. [重点看的书](./BookList.md)
2. [正在学习](./interview/todo.md) 

---------------------------
[`@RunAtWorld的csdn`](https://blog.csdn.net/RunAtWorld)    [`@RunAtWorld的github`](https://github.com/RunAtWorld)

